none
MQSeries Adapter (BizTalk Server 2006 R2) - MQSAgent on Windows Server 2008 R2? RRS feed

  • Question

  • Hello, we are planning to migrate our current Windows MQ servers from Windows Server 2003 and WMQV6 to Windows Server 2008 R2 (64bit) and WMQV7. 

    The MQSAgent COM+ application will not be able to run on Windows Server 2008 R2 64 bits. Am I correct? If that is so, will it run on Windows Server 2008 R2 32 bit?

    I am asking as the BTS2006 R2 documentation does not have any mention about Windows Server 2008, but it only addresses Windows Server 2003, and I need to have official confirmation that the MQSAgent would work fine on Server 2008.

    Link: http://msdn.microsoft.com/en-us/library/aa561858(BTS.20).aspx

    Thanks!

    Monday, April 26, 2010 8:51 PM

Answers

  • BizTalk 2006 R2 is not supported on Windows Server 2008 or 2008 R2. I know BizTalk 2006 R2 works pretty well on 2008 and probably does so on too 2008 R2. But I cannot confirm if the WMQ software will work fine on these OS versions. You are probably going to need to use a different version of the WebSphere MQ client / supporting software to work with these OS versions and these may or may not be compatible with the BizTalk 2006 R2 adapter.

    BizTalk 2009 supports Windows Server 2008 and then BizTalk 2010 will support Windows Server 2008 R2.

    There is a hotfix to enable it to work on 64-bit with BizTalk 2006 R2: http://support.microsoft.com/kb/939202/en-us. I have heard this hotfix works with BizTalk 2009 also.

    Thanks,


    If this answers your question, please use the "Answer" button to say so | Ben Cline
    • Marked as answer by Steven G_ Thursday, April 29, 2010 11:19 AM
    Monday, April 26, 2010 11:21 PM
    Moderator
  • Hi Steven,

    As Ben mentioned, we do not support shipping BizTalk 2006 R2 on Windows Server 2008 R2 box. Running BizTalk 2009 on Windows Server 2008 R2 isn't supported as well. We plan on including Win2K8 R2 and SQL 2008 R2 support with the upcoming 2010 version of BizTalk.

    Thanks,


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread.
    • Marked as answer by Steven G_ Thursday, April 29, 2010 11:19 AM
    Thursday, April 29, 2010 11:04 AM
    Moderator

All replies

  • BizTalk 2006 R2 is not supported on Windows Server 2008 or 2008 R2. I know BizTalk 2006 R2 works pretty well on 2008 and probably does so on too 2008 R2. But I cannot confirm if the WMQ software will work fine on these OS versions. You are probably going to need to use a different version of the WebSphere MQ client / supporting software to work with these OS versions and these may or may not be compatible with the BizTalk 2006 R2 adapter.

    BizTalk 2009 supports Windows Server 2008 and then BizTalk 2010 will support Windows Server 2008 R2.

    There is a hotfix to enable it to work on 64-bit with BizTalk 2006 R2: http://support.microsoft.com/kb/939202/en-us. I have heard this hotfix works with BizTalk 2009 also.

    Thanks,


    If this answers your question, please use the "Answer" button to say so | Ben Cline
    • Marked as answer by Steven G_ Thursday, April 29, 2010 11:19 AM
    Monday, April 26, 2010 11:21 PM
    Moderator
  • Hi Steven,

    As Ben mentioned, we do not support shipping BizTalk 2006 R2 on Windows Server 2008 R2 box. Running BizTalk 2009 on Windows Server 2008 R2 isn't supported as well. We plan on including Win2K8 R2 and SQL 2008 R2 support with the upcoming 2010 version of BizTalk.

    Thanks,


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread.
    • Marked as answer by Steven G_ Thursday, April 29, 2010 11:19 AM
    Thursday, April 29, 2010 11:04 AM
    Moderator
  • 939202 updated version is for MQSC adapter, which is the client based from HIS LOB Adapter media which can connect directly to non-Windows MQSeries servers.

    MQSeries adapter is the server-based MQSeries adapter which installs the MQSAgent2 COM+ part on the Windows MQSeries server (can be on same server or other non-BizTalk server). This is the inbox adapter that comes with BizTalk. (separate in BizTalk 2004, but inbox after)

    Thanks

    Niklas E

     

    Friday, December 3, 2010 2:14 PM